#ifndef GRAVITY_OBJECT_H
#define GRAVITY_OBJECT_H

#include <QObject>
#include <QVector>

class QPainter;
class QPoint;

class gravity_object : public QObject {
    Q_OBJECT

public:
    explicit gravity_object(QObject* parent = 0);

    void initialize(QVector<qreal> initial_pos, QVector<qreal> initial_vel, qreal initial_mass);
    void update_velocity_influenced_by(gravity_object* other);
    void update_position(void);
    void paint(QPainter* painter);

private:
    QVector<qreal> position;
    QVector<qreal> velocity;
    qreal mass;
    qreal gravity_constant;

    QVector<qreal> calc_resulting_acceleration(gravity_object* other);
};

#endif // GRAVITY_OBJECT_H
